Summary: A GTK+ HTML editor for the experienced web designer or programmer.
Name: bluefish
Version: 0.7
Release: fr2
Group: Development/Tools
License: GPL
URL: http://bluefish.openoffice.nl/
Source: http://bluefish.openoffice.nl/download/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.0, imlib
BuildRequires: gtk+-devel, imlib-devel, perl

%description
Bluefish is a GTK+ HTML editor for the experienced web designer or
programmer. It is not finished yet, but already a very powerful site
creating environment. Bluefish has extended support for programming
dynamic and interactive websites, there is for example a lot of PHP
support.

%prep
%setup -q

%build
perl -pi -e 's/pre0.7/0.7/g' configure
%configure
make %{?_smp_mflags} pkgdatadir=%{_datadir}/bluefish

%install
rm -rf %{buildroot}
%makeinstall \
	pkgdatadir=%{buildroot}%{_libdir}/bluefish \
	pixmapsdir=%{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_datadir}/gnome/apps/Development
cat << EOF > %{buildroot}%{_datadir}/gnome/apps/Development/bluefish.desktop
[Desktop Entry]
Name=Bluefish
Comment=%{summary}
TryExec=bluefish
Exec=bluefish
Icon=bluefish_icon.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README ChangeLog BUGS AUTHORS NEWS TODO manual
%{_bindir}/bluefish
%{_libdir}/bluefish
%{_datadir}/gnome/apps/Development/bluefish.desktop
%{_datadir}/locale/*/LC_MESSAGES/bluefish.mo
%{_datadir}/pixmaps/bluefish*
%{_mandir}/man1/bluefish.1*

%changelog
* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Mon Nov 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.
- Spec file simplifications since the build is now cleaner :-)

* Wed May  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat 7.1.
- Added a GNOME desktop entry.
- Compiled with kgcc and reported the problems encountered with gcc 2.96.

* Fri May 5 2000   Bo Forslund  <bo.forslund@abc.se>
  - fine tuning of the spec file
  - possible to build with all processors on smp machines
  - an entry for RedHats wmconfig

* Tue Mar 21 2000 CW Zuckschwerdt <zany@triq.net>
  - complete rewrite of spec file
  - relocateable on build-time
  - no privileges required while building
  - fix for install_location (should really be $(LIBDIR)/bluefish!)
  - included man, locale and lib into RPM (was seriously broken)

* Thu Jan 13 2000 Chris Lea <chrislea@luciddesigns.com>
  - Fixed up spec file some. bluefish-0.3.5

* Wed Nov 17 1999 Chris Lea <chrislea@luciddesigns.com>
  - added spec file. this is my third RPM that I've made a spec
    file for, so please be merciful if I've screwed something up

